#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Symdump
Summary:	Devel::Symdump - dump symbol names or the symbol table
Summary(pl.UTF-8):	Devel::Symdump - zrzucanie nazw symboli lub tablicy symboli
Name:		perl-Devel-Symdump
Version:	2.18
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3dd7e1c7779a37c31a3eb60c0a97ea9f
URL:		http://search.cpan.org/dist/Devel-Symdump/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.45_02
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This little package serves to access the symbol table of perl. It
dumps symbol names or the symbol table.

%description -l pl.UTF-8
Ten niewielki pakiet służy do dostępu do tablicy symboli Perla.
Pobiera on nazwy symboli lub tablicę symboli.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Devel/Symdump.pm
%{perl_vendorlib}/Devel/Symdump
%{_mandir}/man3/Devel::Symdump.3pm*
%changelog
* Sat Mar 10 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Devel-Symdump.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 2362993
- updated to 2.18

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 8362065
- updated to 2.10

* Wed Feb 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 2e0c37b
- updated to 2.08, epoch 1

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7771bd5
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1342cd9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 649ae0a
- converted to UTF-8

* Thu Jul 27 2006 Elan Ruusamäe <glen@pld-linux.org> fcf004c
- 2.0602, generic URL

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 22b6bd3
- up to 2.0.6 rel 1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cc5ce55
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> a887561
- perla->Perla

* Fri May 07 2004 ankry <ankry@pld-linux.org> 12e83ee
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 55c728a
- fixed perl-devel BR

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 3434cdb
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> a81ae74
- rel. 4 for Ac

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 1b56443
- summary/description/license fixes

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 39b1f6d
- s/no/nb/ in Summary langs

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 6ce59d6
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 882063a
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8a5974a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 95aebc7
- massive attack s/pld.org.pl/pld-linux.org/

